<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Zonzay: dlib::bayes_node Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="zonzay.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Zonzay
   &#160;<span id="projectnumber">1</span>
   </div>
   <div id="projectbrief">Laugh game challenge</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacedlib.html">dlib</a></li><li class="navelem"><a class="el" href="classdlib_1_1bayes__node.html">bayes_node</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a> &#124;
<a href="#friends">Friends</a> &#124;
<a href="classdlib_1_1bayes__node-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">dlib::bayes_node Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for dlib::bayes_node:</div>
<div class="dyncontent">
 <div class="center">
  <img src="classdlib_1_1bayes__node.png" usemap="#dlib::bayes_5Fnode_map" alt=""/>
  <map id="dlib::bayes_5Fnode_map" name="dlib::bayes_5Fnode_map">
<area href="classdlib_1_1noncopyable.html" alt="dlib::noncopyable" shape="rect" coords="0,0,111,24"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a544ce72b5701fa1642d73e895b79fa11"><td class="memItemLeft" align="right" valign="top"><a id="a544ce72b5701fa1642d73e895b79fa11"></a>
unsigned long&#160;</td><td class="memItemRight" valign="bottom"><b>value</b> () const</td></tr>
<tr class="separator:a544ce72b5701fa1642d73e895b79fa11"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad128a535311efa22a443c5df64de226b"><td class="memItemLeft" align="right" valign="top"><a id="ad128a535311efa22a443c5df64de226b"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>set_value</b> (unsigned long new_value)</td></tr>
<tr class="separator:ad128a535311efa22a443c5df64de226b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a402ff3dd0031445fedc29a0eb78369ea"><td class="memItemLeft" align="right" valign="top"><a id="a402ff3dd0031445fedc29a0eb78369ea"></a>
<a class="el" href="classdlib_1_1conditional__probability__table.html">conditional_probability_table</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>table</b> ()</td></tr>
<tr class="separator:a402ff3dd0031445fedc29a0eb78369ea"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a910ff9b6c7bdfa974f4bded2f2abba4a"><td class="memItemLeft" align="right" valign="top"><a id="a910ff9b6c7bdfa974f4bded2f2abba4a"></a>
const <a class="el" href="classdlib_1_1conditional__probability__table.html">conditional_probability_table</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>table</b> () const</td></tr>
<tr class="separator:a910ff9b6c7bdfa974f4bded2f2abba4a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a37784e81b682dfef8748ec369a8b90c5"><td class="memItemLeft" align="right" valign="top"><a id="a37784e81b682dfef8748ec369a8b90c5"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>is_evidence</b> () const</td></tr>
<tr class="separator:a37784e81b682dfef8748ec369a8b90c5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9fb1f50ecc46d11d7ea60aa69513d204"><td class="memItemLeft" align="right" valign="top"><a id="a9fb1f50ecc46d11d7ea60aa69513d204"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>set_as_nonevidence</b> ()</td></tr>
<tr class="separator:a9fb1f50ecc46d11d7ea60aa69513d204"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a13d6fd593abe483fb70fc2702d6287e1"><td class="memItemLeft" align="right" valign="top"><a id="a13d6fd593abe483fb70fc2702d6287e1"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>set_as_evidence</b> ()</td></tr>
<tr class="separator:a13d6fd593abe483fb70fc2702d6287e1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae6991652466762454c7ea8ac0abfddd6"><td class="memItemLeft" align="right" valign="top"><a id="ae6991652466762454c7ea8ac0abfddd6"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>swap</b> (<a class="el" href="classdlib_1_1bayes__node.html">bayes_node</a> &amp;item)</td></tr>
<tr class="separator:ae6991652466762454c7ea8ac0abfddd6"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a0cdb75d75ec2cfaf8127e090bbc42ca1"><td class="memItemLeft" align="right" valign="top"><a id="a0cdb75d75ec2cfaf8127e090bbc42ca1"></a>
unsigned long&#160;</td><td class="memItemRight" valign="bottom"><b>value_</b></td></tr>
<tr class="separator:a0cdb75d75ec2cfaf8127e090bbc42ca1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3495f1175c7b6fe830403337c83f6114"><td class="memItemLeft" align="right" valign="top"><a id="a3495f1175c7b6fe830403337c83f6114"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>is_instantiated</b></td></tr>
<tr class="separator:a3495f1175c7b6fe830403337c83f6114"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a71db2f77055c92aeeb859505dc46fd10"><td class="memItemLeft" align="right" valign="top"><a id="a71db2f77055c92aeeb859505dc46fd10"></a>
<a class="el" href="classdlib_1_1conditional__probability__table.html">conditional_probability_table</a>&#160;</td><td class="memItemRight" valign="bottom"><b>table_</b></td></tr>
<tr class="separator:a71db2f77055c92aeeb859505dc46fd10"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="friends"></a>
Friends</h2></td></tr>
<tr class="memitem:afa25c2d742bf3c9d80deb7d965755a39"><td class="memItemLeft" align="right" valign="top"><a id="afa25c2d742bf3c9d80deb7d965755a39"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>serialize</b> (const <a class="el" href="classdlib_1_1bayes__node.html">bayes_node</a> &amp;item, std::ostream &amp;out)</td></tr>
<tr class="separator:afa25c2d742bf3c9d80deb7d965755a39"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a18a0d688066c0e223ad844ee44ff2cbb"><td class="memItemLeft" align="right" valign="top"><a id="a18a0d688066c0e223ad844ee44ff2cbb"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>deserialize</b> (<a class="el" href="classdlib_1_1bayes__node.html">bayes_node</a> &amp;item, std::istream &amp;in)</td></tr>
<tr class="separator:a18a0d688066c0e223ad844ee44ff2cbb"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pub_methods_classdlib_1_1noncopyable"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classdlib_1_1noncopyable')"><img src="closed.png" alt="-"/>&#160;Private Member Functions inherited from <a class="el" href="classdlib_1_1noncopyable.html">dlib::noncopyable</a></td></tr>
<tr class="memitem:ac52d1076f79ef032f5ced545bd4cc4f9 inherit pub_methods_classdlib_1_1noncopyable"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classdlib_1_1noncopyable.html#ac52d1076f79ef032f5ced545bd4cc4f9">noncopyable</a> ()</td></tr>
<tr class="separator:ac52d1076f79ef032f5ced545bd4cc4f9 inherit pub_methods_classdlib_1_1noncopyable"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="bayes__utils_2bayes__utils_8h_source.html">bayes_utils/bayes_utils.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
